//////////////////////////////////////////////////////////////////////////////
//
// Asura_Platform_SpecialFX.cpp
//
// Copyright (c) 2002-2004 Rebellion. All rights reserved.
//
//////////////////////////////////////////////////////////////////////////////

// I N C L U D E S ///////////////////////////////////////////////////////////

#include "Core/Asura.h"

// Engine independent.
#include "SpecialFX/Asura_SpecialFX.h"

// Engine platform-specific.
#ifdef ASURA_PS2_PALETTISED_FOG    
#include "SpecialFX/Asura_PS2_Fog.h"
#endif

// C L A S S   I M P L E M E N T A T I O N S /////////////////////////////////

void Asura_SpecialFX_System::Platform_Initialise(void)
{
#ifdef ASURA_PS2_PALETTISED_FOG    
    Asura_PS2_FogSystem::Initialise();
#endif
}

void Asura_SpecialFX_System::Platform_Update(void)
{
#ifdef ASURA_PS2_PALETTISED_FOG    
    Asura_PS2_FogSystem::Update();
#endif
}

void Asura_SpecialFX_System::Platform_BeginRender(const RenderType eRenderType)
{
}

void Asura_SpecialFX_System::Platform_Render(void)
{
#ifdef ASURA_PS2_PALETTISED_FOG    
    Asura_PS2_FogSystem::Render();
#endif
}

void Asura_SpecialFX_System::Platform_EndRender(const RenderType eRenderType)
{
}

void Asura_SpecialFX_System::Platform_Reset(void)
{
#ifdef ASURA_PS2_PALETTISED_FOG    
    Asura_PS2_FogSystem::Reset();
#endif
}

void Asura_SpecialFX_System::Platform_Shutdown(void)
{
#ifdef ASURA_PS2_PALETTISED_FOG    
    Asura_PS2_FogSystem::Shutdown();
#endif
}
